#include <sru.h>
#include <def21369.h>

// This function will setup the SRU Registers
void InitSRU()
{
	// Enable pull-up resistors on unused DAI pins
	* (volatile int *)DAI_PIN_PULLUP = 0xdfff0;

	//Generating Code for connecting : PCG_CLKA to SPORT0_CLK
	SRU (PCG_CLKA_O, SPORT0_CLK_I); 

	//Generating Code for connecting : PCG_CLKA to DIT_CLK
	SRU (PCG_CLKA_O, DIT_CLK_I); 

	//Generating Code for connecting : PCG_CLKA to DAI_PIN2
	SRU (HIGH, PBEN02_I); 
	SRU (PCG_CLKA_O, DAI_PB02_I); 

	//Generating Code for connecting : PCG_CLKB to DIT_HFCLK
	SRU (PCG_CLKB_O, DIT_HFCLK_I); 

	//Generating Code for connecting : PCG_FSA to SPORT0_FS
	SRU (PCG_FSA_O, SPORT0_FS_I); 

	//Generating Code for connecting : PCG_FSA to DIT_FS
	SRU (PCG_FSA_O, DIT_FS_I); 

	//Generating Code for connecting : PCG_FSA to DAI_PIN3
	SRU (HIGH, PBEN03_I); 
	SRU (PCG_FSA_O, DAI_PB03_I); 

	//Generating Code for connecting : SPORT0_DA to DIT_DAT
	SRU (SPORT0_DA_O, DIT_DAT_I); 

	//Generating Code for connecting : DAI_PIN18 to DIR
	SRU (LOW, PBEN18_I); 
	SRU (DAI_PB18_O, DIR_I); 

	//Generating Code for connecting : DIR_CLK to SPORT1_CLK
	SRU (DIR_CLK_O, SPORT1_CLK_I); 

	//Generating Code for connecting : DIR_DAT to SPORT1_DA
	SRU (DIR_DAT_O, SPORT1_DA_I); 

	//Generating Code for connecting : DIR_FS to SPORT1_FS
	SRU (DIR_FS_O, SPORT1_FS_I); 

	//Generating Code for connecting : DIR_FS to DAI_PIN4
	SRU (HIGH, PBEN04_I); 
	SRU (DIR_FS_O, DAI_PB04_I); 

	//Generating Code for connecting : DIT to DAI_PIN1
	SRU (HIGH, PBEN01_I); 
	SRU (DIT_O, DAI_PB01_I); 


}
